## GDataTasksTask GDataTasksTask — GData Tasks task object |

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataTasksTask * | gdata_tasks_task_new ()
const gchar * | gdata_tasks_task_get_parent ()
const gchar * | gdata_tasks_task_get_position ()
const gchar * | gdata_tasks_task_get_notes ()
void | gdata_tasks_task_set_notes ()
const gchar * | gdata_tasks_task_get_status ()
void | gdata_tasks_task_set_status ()
gint64 | gdata_tasks_task_get_due ()
void | gdata_tasks_task_set_due ()
gint64 | gdata_tasks_task_get_completed ()
void | gdata_tasks_task_set_completed ()
gboolean | gdata_tasks_task_is_deleted ()
void | gdata_tasks_task_set_is_deleted ()
gboolean | gdata_tasks_task_is_hidden ()

## Properties

gint64 | completed | Read / Write
gint64 | due | Read / Write
gboolean | is-deleted | Read / Write
gboolean | is-hidden | Read
gchar * | notes | Read / Write
gchar * | parent | Read
gchar * | position | Read
gchar * | status | Read / Write

## Types and Values

#define | GDATA_TASKS_STATUS_NEEDS_ACTION
#define | GDATA_TASKS_STATUS_COMPLETED
| GDataTasksTask
| GDataTasksTaskClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataTasksTask

## Includes

    #include <gdata/services/tasks/gdata-tasks-task.h>

## Description

GDataTasksTask is a subclass of GDataEntry to represent a task in a tasklist from Google Tasks.

All functionality of Tasks is currently supported except

links.

For more details of Google Tasks API, see the online documentation.

## Functions

### gdata_tasks_task_new ()

    GDataTasksTask *
    gdata_tasks_task_new (const gchar *id);

Creates a new GDataTasksTask with the given ID and default properties.

#### Parameters

id | the task's ID, or `NULL`. | [allow-none]

#### Returns

a new GDataTasksTask; unref with `g_object_unref()`

Since 0.15.0

### gdata_tasks_task_get_parent ()

    const gchar *
    gdata_tasks_task_get_parent (GDataTasksTask *self);

Gets the “parent” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

the parent of the task, or `NULL`.

[allow-none]

Since 0.15.0

### gdata_tasks_task_get_position ()

    const gchar *
    gdata_tasks_task_get_position (GDataTasksTask *self);

Gets the “position” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

the position of the task, or `NULL`.

[allow-none]

Since 0.15.0

### gdata_tasks_task_get_notes ()

    const gchar *
    gdata_tasks_task_get_notes (GDataTasksTask *self);

Gets the “notes” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

notes of the task, or `NULL`.

[allow-none]

Since 0.15.0

### gdata_tasks_task_set_notes ()

    void
    gdata_tasks_task_set_notes (GDataTasksTask *self,
                                const gchar *notes);

Sets the “notes” property to the new notes, `notes` .

Set `notes` to `NULL` to unset the property in the task.

#### Parameters

self | a GDataTasksTask |
notes | a new notes of the task, or `NULL`. | [allow-none]

Since 0.15.0

### gdata_tasks_task_get_status ()

    const gchar *
    gdata_tasks_task_get_status (GDataTasksTask *self);

Gets the “status” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

the status of the task, or `NULL`.

[allow-none]

Since 0.15.0

### gdata_tasks_task_set_status ()

    void
    gdata_tasks_task_set_status (GDataTasksTask *self,
                                 const gchar *status);

Sets the “status” property to the new status, `status` .

Set `status` to `NULL` to unset the property in the task.

#### Parameters

self | a GDataTasksTask |
status | a new status of the task, or `NULL`. | [allow-none]

Since 0.15.0

### gdata_tasks_task_get_due ()

    gint64
    gdata_tasks_task_get_due (GDataTasksTask *self);

Gets the “due” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksTask |

#### Returns

the due property, or `-1`

Since 0.15.0

### gdata_tasks_task_set_due ()

    void
    gdata_tasks_task_set_due (GDataTasksTask *self,
                              gint64 due);

Sets the “due” property of the GDataTasksTask to the new due time of the task, `due` .

Set `due` to `-1` to unset the property in the due time of the task

#### Parameters

self | a GDataTasksTask |
due | due time of the task, or `-1` |

Since 0.15.0

### gdata_tasks_task_get_completed ()

    gint64
    gdata_tasks_task_get_completed (GDataTasksTask *self);

Gets the “completed” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataTasksTask |

#### Returns

the completed property, or `-1`

Since 0.15.0

### gdata_tasks_task_set_completed ()

    void
    gdata_tasks_task_set_completed (GDataTasksTask *self,
                                    gint64 completed);

Sets the “completed” property of the GDataTasksTask to the new completion time of the task, `completed` .

Set `completed` to `-1` to unset the property in the completion time of the task

#### Parameters

self | a GDataTasksTask |
completed | completion time of the task, or `-1` |

Since 0.15.0

### gdata_tasks_task_is_deleted ()

    gboolean
    gdata_tasks_task_is_deleted (GDataTasksTask *self);

Gets the “is-deleted” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

`TRUE` if task is deleted, `FALSE` otherwise

Since 0.15.0

### gdata_tasks_task_set_is_deleted ()

    void
    gdata_tasks_task_set_is_deleted (GDataTasksTask *self,
                                     gboolean deleted);

Sets the “is-deleted” property to `deleted` .

#### Parameters

self | a GDataTasksTask |
deleted | `TRUE` if task is deleted, `FALSE` otherwise |

Since 0.15.0

### gdata_tasks_task_is_hidden ()

    gboolean
    gdata_tasks_task_is_hidden (GDataTasksTask *self);

Gets the “is-hidden” property.

#### Parameters

self | a GDataTasksTask |

#### Returns

`TRUE` if task is hidden, `FALSE` otherwise

Since 0.15.0

## Types and Values

### GDATA_TASKS_STATUS_NEEDS_ACTION

    #define GDATA_TASKS_STATUS_NEEDS_ACTION "needsAction"

A value for “status” indicating the task still needs action before it is complete.

Reference:

Google Tasks documentation.

Since 0.16.0

### GDATA_TASKS_STATUS_COMPLETED

    #define GDATA_TASKS_STATUS_COMPLETED "completed"

A value for “status” indicating the task has been completed.

Reference:

Google Tasks documentation.

Since 0.16.0

### GDataTasksTask

    typedef struct _GDataTasksTask GDataTasksTask;

All the fields in the GDataTasksTask structure are private and should never be accessed directly.

Since 0.15.0

### GDataTasksTaskClass

    typedef struct {
    } GDataTasksTaskClass;

All the fields in the GDataTasksTaskClass structure are private and should never be accessed directly.

Since 0.15.0

## Property Details

### The `“completed”` property

      “completed”                gint64

Completion date of the task (as a RFC 3339 timestamp; seconds since the UNIX epoch).

This field is `-1` if the task has not been completed.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“due”` property

      “due”                      gint64

Due date of the task (as a RFC 3339 timestamp; seconds since the UNIX epoch).

This field is `-1` if the task has no due date assigned.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since 0.15.0

### The `“is-deleted”` property

      “is-deleted”               gboolean

Flag indicating whether the task has been deleted. The default is `FALSE`.

Flags: Read / Write

Default value: FALSE

Since 0.15.0

### The `“is-hidden”` property

      “is-hidden”                gboolean

Flag indicating whether the task is hidden. This is the case if the task had been marked completed when the task list was last cleared. The default is `FALSE`. This field is read-only.

Flags: Read

Default value: FALSE

Since 0.15.0

### The `“notes”` property

      “notes”                    gchar *

This is where the description of what needs to be done in the task is stored.

Flags: Read / Write

Default value: NULL

Since 0.15.0

### The `“parent”` property

      “parent”                   gchar *

Parent task identifier. This field is omitted if it is a top-level task. This field is read-only.

Flags: Read

Default value: NULL

Since 0.15.0

### The `“position”` property

      “position”                 gchar *

String indicating the position of the task among its sibling tasks under the same parent task or at the top level. If this string is greater than another task's corresponding position string according to lexicographical ordering, the task is positioned after the other task under the same parent task (or at the top level). This field is read-only.

Flags: Read

Default value: NULL

Since 0.15.0

### The `“status”` property

      “status”                   gchar *

Status of the task. This is either `GDATA_TASKS_STATUS_NEEDS_ACTION` or `GDATA_TASKS_STATUS_COMPLETED`.

Flags: Read / Write

Default value: NULL

Since 0.15.0